import e from "./_arrayPush.js";
import m from "./_isFlattenable.js";
function p(h, g, t, o, n) {
  var i = -1, a = h.length;
  for (t || (t = m), n || (n = []); ++i < a; ) {
    var f = h[i];
    t(f) ? e(n, f) : o || (n[n.length] = f);
  }
  return n;
}
export {
  p as default
};
